uses
  fpreadpng, fpimage, fpwriteQoi;

var
  image: TFPCustomImage;
  reader: TFPCustomImageReader;
  writer: TFPWriterQoi;
  AFileName : string;

  useAlpha : boolean;
begin
  AFileName:='qoi_test_images/dice.png';

  Image := TFPMemoryImage.Create(0, 0);
  Reader := TFPReaderPNG.Create;
  Writer := TFPWriterQoi.Create;
  Image.LoadFromFile(AFileName, Reader);

  UseAlpha := TFPReaderPNG(Reader).UseAlpha;
  Writer.UseAlpha:=UseAlpha;


  Image.SaveToFile('qoi_test_images/dice2.qoi',Writer);

  Writeln;
  writeln(' BitDepth ',TFPReaderPNG(Reader).BitDepth );
  writeln(' ColorType ',TFPReaderPNG(Reader).ColorType );
  writeln(' Width ',Image.Width,'  Height ', Image.Height, '  UseAlpha ',UseAlpha);
  Writeln;


  image.Free;
  Reader.Free;
  Writer.Free;

end.
